// Just place any spell files you want in a folder called 'spells', and this will register all of them automatically.
$p = expandFilename("./spells");


$f = getFileCount($p @ "/*");

if($f == 0)
{
	warn("No spells have been loaded!");
	return;
}

$d = findFirstFile("./spells/*");

if(fileExt($d) !$= ".txt")
{
	warn("No spells have been loaded. Make sure there are only text files in the spells folder.");
	return;
}

for($i = 0; $i < $f; $i++)
{
	registerSpell($d);
	
	$d = findNextfile("./spells/*");
}

echo($f SPC "spells have been successfully loaded!");